Package Details: videodownloader 1.3.4-1

Git Clone URL: https://aur.archlinux.org/videodownloader.git (read-only)
Package Base: videodownloader
Description: A video downloader with Qt GUI (currently only YouTube and Vimeo are maintained)
Upstream URL: https://github.com/Martchus/videodownloader
Keywords: downloader Qt video Vimeo Youtube
Licenses: GPL
Submitter: Martchus
Maintainer: Martchus
Last Packager: Martchus
Votes: 3
Popularity: 0.000000
First Submitted: 2015-08-27 19:51
Last Updated: 2019-08-24 21:39

Pinned Comments

Martchus commented on 2016-05-18 22:04

All my packages are managed at GitHub where you can also contribute directly: https://github.com/Martchus/PKGBUILDs
There also exist a binary repository: https://martchus.no-ip.biz/repo/arch/ownstuff

Latest Comments

dreieck commented on 2018-05-02 19:00

Needs c++utilities>=4.0.0 (makedepend). Maybe you add that makedepend with version info?

==> Starting build()...
-- The C compiler identification is GNU 7.3.1
-- The CXX compiler identification is GNU 7.3.1
-- Check for working C compiler: /sbin/cc
-- Check for working C compiler: /sbin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /sbin/c++
-- Check for working CXX compiler: /sbin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at CMakeLists.txt:154 (find_package):
  Could not find a configuration file for package "c++utilities" that is
  compatible with requested version "4.0.0".

  The following configuration files were considered but not accepted:

    /usr/share/c++utilities/cmake/c++utilitiesConfig.cmake, version: 3.4.1



-- Configuring incomplete, errors occurred!
See also "/var/tmp/yaourt-tmp-felics/aur-videodownloader/src/videodownloader-1.3.3/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
    Aborting...

Martchus commented on 2017-03-24 22:44

I can reproduce and will fix it. But note that currently download of some particularly protected YouTube videos is broken anyways.

EDIT: Turns out I already fixed it, just needed to publish a new release.

keepitsimpleengr commented on 2017-03-24 21:30

videodownloader
[ 44%] Building CXX object CMakeFiles/videodownloader.dir/network/httpdownload.cpp.o
make[2]: *** [CMakeFiles/videodownloader.dir/build.make:231: CMakeFiles/videodownloader.dir/network/download.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [CMakeFiles/Makefile2:68: CMakeFiles/videodownloader.dir/all] Error 2
make: *** [Makefile:128: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build videodownloader.

Martchus commented on 2016-05-18 22:04

All my packages are managed at GitHub where you can also contribute directly: https://github.com/Martchus/PKGBUILDs
There also exist a binary repository: https://martchus.no-ip.biz/repo/arch/ownstuff